> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Member Sold By Provider

> Update the sold_by_provider_id for a member.



## OpenAPI

````yaml post /inventory/members/update-sold-by-provider
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /inventory/members/update-sold-by-provider:
    post:
      tags:
        - provider
        - inventory
      summary: Update Member Sold By Provider
      description: Update the sold_by_provider_id for a member.
      operationId: >-
        update_member_sold_by_provider_inventory_members_update_sold_by_provider_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MemberSoldByProviderUpdate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: boolean
                title: >-
                  Response Update Member Sold By Provider Inventory Members
                  Update Sold By Provider Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MemberSoldByProviderUpdate:
      properties:
        memberId:
          type: string
          title: Memberid
          description: ID of the member to update
        providerId:
          anyOf:
            - type: string
            - type: 'null'
          title: Providerid
          description: ID of the provider who sold this membership (null to unassign)
      type: object
      required:
        - memberId
      title: MemberSoldByProviderUpdate
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````